jQuery(document).ready(function() {

    console.log('Sunray Author Manager');

    if(jQuery('.sam-slider').length > 0) {
        jQuery('.sam-slider').slick({
            infinite: true,
            dots: false,
            arrows: true,
            slidesToScroll: 1,
            slidesToShow: 3,
            autoplay: true,
            autoplaySpeed: sam_options.slider_speed * 1000,
            variableWidth: true,
            responsive: [
                {
                    breakpoint: 1024,
                    settings: {
                        slidesToShow: 3,
                        slidesToScroll: 3,
                        infinite: true
                    }
                },
                {
                    breakpoint: 600,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 2
                    }
                },
                {
                    breakpoint: 480,
                    settings: {
                        slidesToShow: 1,
                        slidesToScroll: 1
                    }
                }]

        });
    }

    console.log(jQuery.fn.jquery);
});